TOOLPLACES(1)

NAME
toolplaces - display current SunView window locations, sizes, and other attributes

SYNOPSIS
toolplaces [ -o|O|u ] [ -help ]

AVAILABILITY

This command is available with the software installation option. Refer to for information on how to install optional software.

DESCRIPTION

toolplaces generates position, size, label, and program attributes for the windows running on a SunView screen at the time of execution. (toolplaces does not work when SunView is not running.)

Many people redirect standard output from toolplaces to the .sunview file, so as to reuse the current window system attributes each time they execute sunview(1).

For each window on the screen at execution time, toolplaces shows:

    the tool name
    the “open” window position
    the size of the window in pixels
    the “closed,” or icon, window position
    an indicator of whether the window is open or closed
    the label at the top of the window
    the name of the program running in the window, if a
        program is running there
    any flags or options to a program running in the window

toolplaces describes each window on one output line, as long as necessary, using the current sunview format.

Current sunview format consists of window tool descriptions, one per line, as in this example (the \ indicates that the current line continues on the next line):

    shelltool  -Wp  491 795 -Ws 580  87 -WP    0 836 -C
    clock  -Wp  120 120 -Ws 122  55 -WP 1086 826 -Wi \
    	-Wl " open clock" -S -r -d wdm
    shelltool  -Wp  491 166 -Ws 650 567 -WP  702 836 \
    	-Wl due rlogin due
    shelltool  -Wp    0   0 -Ws 650 525 -WP   64 836 \
    	-Wl "Small Window: /usr/bin/csh"
    shelltool  -Wp  501   0 -Ws 650 812 -WP  128 836 \
    	-Wl "Big Window: /usr/bin/csh"

OPTIONS

-o  Show window tool information in the old suntools format for window attributes, but specifies the appropriate tool names for each tool.

-O  Show window tool information in the old suntools format for window attributes, specifying toolname as the name for each tool.

-u  Show the updated window tool information in the order that you originally specified it.

-help
    Show help information preceding tool attributes.

FILES
~/.sunview
    format file for sunview(1)

SEE ALSO
sunview(1)